Skip to main content
POST
/
api
/
incidents
/
v1
/
{incident_id}
/
split
SplitIncident
curl --request POST \
  --url https://developer.synq.io/api/incidents/v1/{incident_id}/split \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "actor": {
    "name": "<string>",
    "email": {
      "userEmail": "jsmith@example.com"
    }
  },
  "at": "2023-11-07T05:31:56Z",
  "splitIssueIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "splitIncidentName": "<string>"
}
'
import requests

url = "https://developer.synq.io/api/incidents/v1/{incident_id}/split"

payload = {
    "actor": {
        "name": "<string>",
        "email": { "userEmail": "jsmith@example.com" }
    },
    "at": "2023-11-07T05:31:56Z",
    "splitIssueIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
    "splitIncidentName": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    actor: {name: '<string>', email: {userEmail: 'jsmith@example.com'}},
    at: '2023-11-07T05:31:56Z',
    splitIssueIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
    splitIncidentName: '<string>'
  })
};

fetch('https://developer.synq.io/api/incidents/v1/{incident_id}/split', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "incident": {
    "id": "<string>",
    "index": 123,
    "name": "<string>",
    "issueIds": [
      "<string>"
    ],
    "createdBy": {
      "name": "<string>",
      "email": {
        "userEmail": "jsmith@example.com"
      }
    },
    "owner": {
      "id": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "email": "<string>",
      "identities": [
        "<string>"
      ]
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedBy": {
      "name": "<string>",
      "email": {
        "userEmail": "jsmith@example.com"
      }
    },
    "updatedAt": "2023-11-07T05:31:56Z",
    "comments": [
      {
        "id": "<string>",
        "message": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "actor": {
          "name": "<string>",
          "email": {
            "userEmail": "jsmith@example.com"
          }
        }
      }
    ]
  },
  "splitIncident": {
    "id": "<string>",
    "index": 123,
    "name": "<string>",
    "issueIds": [
      "<string>"
    ],
    "createdBy": {
      "name": "<string>",
      "email": {
        "userEmail": "jsmith@example.com"
      }
    },
    "owner": {
      "id": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "email": "<string>",
      "identities": [
        "<string>"
      ]
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedBy": {
      "name": "<string>",
      "email": {
        "userEmail": "jsmith@example.com"
      }
    },
    "updatedAt": "2023-11-07T05:31:56Z",
    "comments": [
      {
        "id": "<string>",
        "message": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "actor": {
          "name": "<string>",
          "email": {
            "userEmail": "jsmith@example.com"
          }
        }
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

incident_id
string<uuid>
required

ID of the incident to split

Body

application/json
actor
Actor · object
required

Actor performing the split

at
string<date-time>
required

Time at which the incident was split. Defaults to the current time. timestamp.gt = 2022-01-01T00:00:00Z timestamp.gt_lt = 2022-01-01T00:00:00Z timestamp.gt_lt_exclusive = 2022-01-01T00:00:00Z timestamp.gt_lte = 2022-01-01T00:00:00Z timestamp.gt_lte_exclusive = 2022-01-01T00:00:00Z timestamp.lt_now = true

Examples:

"2023-01-15T01:30:15.01Z"

"2024-12-25T12:00:00Z"

splitIssueIds
string<uuid>[]
required

IDs of issues to move to the new incident

Minimum array length: 1
splitIncidentName
string
required

Name for the new incident

Response

200 - application/json

Success

incident
Incident · object
splitIncident
Incident · object